summaryrefslogtreecommitdiffstats
path: root/desktop/matchbox-panel
diff options
context:
space:
mode:
author Daniel de Kok <danieldk@pobox.com>2010-05-13 00:22:50 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:22:50 +0200
commit4fe08c2c369845698ad04e024720c6a8c75ff21b (patch)
treee08b6146a3abdbedaa5720533bffa17a7d624c2e /desktop/matchbox-panel
parent9d5a1edec28d9072508be7113a0acc41fbe645c8 (diff)
downloadslackbuilds-4fe08c2c369845698ad04e024720c6a8c75ff21b.tar.gz
slackbuilds-4fe08c2c369845698ad04e024720c6a8c75ff21b.tar.xz
desktop/matchbox-panel: Updated for version 0.9.3
Diffstat (limited to 'desktop/matchbox-panel')
-rw-r--r--desktop/matchbox-panel/README9
-rw-r--r--desktop/matchbox-panel/doinst.sh7
-rw-r--r--desktop/matchbox-panel/matchbox-panel.SlackBuild37
-rw-r--r--desktop/matchbox-panel/matchbox-panel.info2
-rw-r--r--desktop/matchbox-panel/slack-desc8
5 files changed, 33 insertions, 30 deletions
diff --git a/desktop/matchbox-panel/README b/desktop/matchbox-panel/README
index 95cc7998cd..b941c3118c 100644
--- a/desktop/matchbox-panel/README
+++ b/desktop/matchbox-panel/README
@@ -2,11 +2,4 @@ Matchbox is a lightweight environment for the X Window System, that
is specifically designed for embedded platforms such as handhelds
and set-top boxes.
-This is a SlackBuild for the Matchbox panel. libmatchbox,
-matchbox-window-manager, and matchbox-common are required to build
-and run this package. These dependencies are available through
-the Matchbox website, or as SlackBuilds.
-
-The Matchbox homepage can be found at:
-http://projects.o-hand.com/matchbox/
-
+This requires libmatchbox, matchbox-window-manager, and matchbox-common.
diff --git a/desktop/matchbox-panel/doinst.sh b/desktop/matchbox-panel/doinst.sh
index 1f168fe95a..4e8ba7071d 100644
--- a/desktop/matchbox-panel/doinst.sh
+++ b/desktop/matchbox-panel/doinst.sh
@@ -1,5 +1,4 @@
-#!/bin/sh
-
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/desktop/matchbox-panel/matchbox-panel.SlackBuild b/desktop/matchbox-panel/matchbox-panel.SlackBuild
index 4b30d92c6f..2252664f58 100644
--- a/desktop/matchbox-panel/matchbox-panel.SlackBuild
+++ b/desktop/matchbox-panel/matchbox-panel.SlackBuild
@@ -22,9 +22,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Exit on most errors
-set -e
-
PRGNAM=matchbox-panel
VERSION=0.9.3
ARCH=${ARCH:-i486}
@@ -38,48 +35,60 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
-patch -p1 < $CWD/matchbox-panel-0.9.3-gcc4-no-nested-functions.patch
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+patch -p1 < $CWD/matchbox-panel-0.9.3-gcc4-no-nested-functions.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--enable-startup-notification \
--enable-dnotify \
- --enable-acpi-linux
+ --enable-acpi-linux \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
+# Fixup some desktop files to be more spec-compliant
+( cd $PKG/usr/share/applications
+ sed -i s'#Icon=minitime.png#Icon=minitime#' mb-applet-clock.desktop
+ sed -i s'#Icon=mbmenu.png#Icon=mbmenu#' mb-applet-menu-launcher.desktop
+ sed -i s'#Icon=minisys.png#Icon=minisys#' mb-applet-system-monitor.desktop
+ sed -i s'#Icon=signal-81-100.png#Icon=signal-81-100#' mb-applet-wireless.desktop
+ sed -i s'#Icon=mbterm.png#Icon=mbterm#' mb-launcher-term.desktop
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG/usr/share/applications
- sed -i s'#Icon=minitime.png#Icon=/usr/share/pixmaps/minitime.png#' mb-applet-clock.desktop
- sed -i s'#Icon=mbmenu.png#con=/usr/share/pixmaps/mbmenu.png#' mb-applet-menu-launcher.desktop
- sed -i s'#Icon=minisys.png#Icon=/usr/share/pixmaps/minisys.png#' mb-applet-system-monitor.desktop
- sed -i s'#Icon=signal-81-100.png#Icon=/usr/share/pixmaps/signal-81-100.png#' mb-applet-wireless.desktop
- sed -i s'#Icon=mbterm.png#Icon=/usr/share/pixmaps/mbterm.png#' mb-launcher-term.desktop
-)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/matchbox-panel/matchbox-panel.info b/desktop/matchbox-panel/matchbox-panel.info
index 51048ad4db..1bb9586063 100644
--- a/desktop/matchbox-panel/matchbox-panel.info
+++ b/desktop/matchbox-panel/matchbox-panel.info
@@ -3,6 +3,8 @@ VERSION="0.9.3"
HOMEPAGE="http://projects.o-hand.com/matchbox/"
DOWNLOAD="http://projects.o-hand.com/matchbox/sources/matchbox-panel/0.9/matchbox-panel-0.9.3.tar.bz2"
MD5SUM="56d1807636f3919e22e51896ab7ccd2e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Daniel de Kok"
EMAIL="danieldk@pobox.com"
APPROVED="BP{k}"
diff --git a/desktop/matchbox-panel/slack-desc b/desktop/matchbox-panel/slack-desc
index 664040efa1..eea6717f1a 100644
--- a/desktop/matchbox-panel/slack-desc
+++ b/desktop/matchbox-panel/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
matchbox-panel: matchbox-panel (The Matchbox panel)
matchbox-panel:
matchbox-panel: Matchbox is a lightweight environment for the X Window System,
@@ -14,6 +14,6 @@ matchbox-panel: handhelds and set-top boxes.
matchbox-panel:
matchbox-panel: This package contains the Matchbox panel.
matchbox-panel:
-matchbox-panel: The Matchbox homepage can be found at:
-matchbox-panel: http://projects.o-hand.com/matchbox/
-matchbox-panel:
+matchbox-panel: Homepage: http://projects.o-hand.com/matchbox/
+matchbox-panel:
+matchbox-panel: